summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorRichard Jones <rjones@redhat.com>2010-02-19 14:33:40 +0000
committerRichard Jones <rjones@redhat.com>2010-02-19 14:33:40 +0000
commitcb9cb9b7dcdf62310c7b543aaac0a82d7f4b9319 (patch)
tree4e3412605c02c3b234e5efca07dfb9770c14269c /autogen.sh
downloadhivex-cb9cb9b7dcdf62310c7b543aaac0a82d7f4b9319.tar.gz
hivex-cb9cb9b7dcdf62310c7b543aaac0a82d7f4b9319.tar.xz
hivex-cb9cb9b7dcdf62310c7b543aaac0a82d7f4b9319.zip
Support for Windows Registry.
In hivex/: This mini-library allows us to extract Windows Registry binary files ("hives"). There are also two tools: hivexml converts a hive to a self-describing XML format. hivexget can be used to extract single subkeys from a hive.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh51
1 files changed, 51 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..a1fd048
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,51 @@
+#!/bin/bash -
+# hivex
+# Copyright (C) 2009-2010 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+# Rebuild the autotools environment.
+
+set -e
+set -v
+
+# Ensure that whenever we pull in a gnulib update or otherwise change to a
+# different version (i.e., when switching branches), we also rerun ./bootstrap.
+curr_status=.git-module-status
+t=$(git submodule status)
+if test "$t" = "$(cat $curr_status 2>/dev/null)"; then
+ : # good, it's up to date
+else
+ echo running bootstrap...
+ ./bootstrap && echo "$t" > $curr_status
+fi
+
+CONFIGUREDIR=.
+
+# Run configure in BUILDDIR if it's set
+if [ ! -z "$BUILDDIR" ]; then
+ mkdir -p $BUILDDIR
+ cd $BUILDDIR
+
+ CONFIGUREDIR=..
+fi
+
+# If no arguments were specified and configure has run before, use the previous
+# arguments
+if [ $# == 0 -a -x ./config.status ]; then
+ ./config.status --recheck
+else
+ $CONFIGUREDIR/configure "$@"
+fi